import * as resourceTypes from "../resource";
/**
 * hasErrors returns true if any errors have occurred in the program.
 */
export declare function hasErrors(): boolean;
/**
 * debug logs a debug-level message that is generally hidden from end-users.
 */
export declare function debug(msg: string, resource?: resourceTypes.Resource, streamId?: number): Promise<void>;
/**
 * info logs an informational message that is generally printed to stdout during resource operations.
 */
export declare function info(msg: string, resource?: resourceTypes.Resource, streamId?: number): Promise<void>;
/**
 * warn logs a warning to indicate that something went wrong, but not catastrophically so.
 */
export declare function warn(msg: string, resource?: resourceTypes.Resource, streamId?: number): Promise<void>;
/**
 * error logs a fatal error to indicate that the tool should stop processing resource operations immediately.
 */
export declare function error(msg: string, resource?: resourceTypes.Resource, streamId?: number): Promise<void>;
