export interface ParsedFunctionCode {
    funcExprWithoutName: string;
    funcExprWithName?: string;
    functionDeclarationName?: string;
    isArrowFunction: boolean;
}
export interface ParsedFunction extends ParsedFunctionCode {
    capturedVariables: CapturedVariables;
    usesNonLexicalThis: boolean;
}
export interface CapturedPropertyInfo {
    name: string;
    invoked: boolean;
}
export interface CapturedPropertyChain {
    infos: CapturedPropertyInfo[];
}
export declare type CapturedVariableMap = Map<string, CapturedPropertyChain[]>;
export interface CapturedVariables {
    required: CapturedVariableMap;
    optional: CapturedVariableMap;
}
export declare function parseFunction(funcString: string): [string, ParsedFunction];
